/**
 ** KCAD: Kontrol-Alt-Delete
 ** Copyright (c) 2001, Flaming Sword Productions
 ** Released into the Public Domain
 **
 ** Written by Brian C. Ledbetter <brian@shadowcom.net>
 ** http://www.shadowcom.net/Software/kss/kcad/
 **/
#ifndef		__KCAD_H__
#define		__KCAD_H__
#include	<qtimer.h>
#include	<qvbox.h>
#include	<qpixmap.h>
#include	<qimage.h>
#include	<kscreensaver.h>


/**
 ** class KCadSaver: Main screensaver handler.
 **/
class		KCadSaver: public KScreenSaver {
Q_OBJECT

public:

		KCadSaver( WId );
		~KCadSaver();


protected slots:
	void		slotMoveWin();
	void		slotDrawWin();
	void		slotMoveHand();
	void		slotDrawHand( int );
	void		slotUndrawHand( int );
	void		blank();

private:
	void		readSettings();
	void		initialize();
	int		randX();
	int		randY();

protected:
	QTimer		timer;
	int		xpos, ypos;
	unsigned int	Swidth, Sheight;
	int		colorContext;
	QImage		window, hand, hand_blank, keys;
	bool		oKdeLike;
	int		handStep, handDir, 
			handOfsX, handOfsY, 
			keysOfsX, keysOfsY;
};

#endif
